    
function Skinner:Links()
	if not self.db.profile.Tooltips.skin then return end

	self:RegisterEvent("Links_LinkOpened")
end

function Skinner:Links_LinkOpened(link, frame)
	if self.db.profile.Tooltips.style == 3 then frame:SetBackdrop(backdrop) end
	self:skinTooltip(frame)
	if not self:IsHooked(frame, "SetBackdropColor") then
		self:Hook(frame, "SetBackdropColor", function(r, g, b, a) end, true)
	end
	if not self:IsHooked(frame, "OnHide") then
		self:HookScript(frame, "OnHide", function(object)
			self.hooks[frame].OnHide(object)
			if self:IsHooked(frame, "SetBackdropColor") then self:Unhook(frame, "SetBackdropColor") end
		end)
	end
end